Indice del forum Olimpo Informatico
I Forum di Zeus News
Leggi la newsletter gratuita - Attiva il Menu compatto
 
 FAQFAQ   CercaCerca   Lista utentiLista utenti   GruppiGruppi   RegistratiRegistrati 
 ProfiloProfilo   Messaggi privatiMessaggi privati   Log inLog in 

    Newsletter RSS Facebook Twitter Contatti Ricerca
Messaggio di errore
Nuovo argomento   Quest'argomento è chiuso: Non puoi inserire, rispondere o modificare i messaggi.    Indice del forum -> Linux
Precedente :: Successivo  
Autore Messaggio
Giunone
Dio maturo
Dio maturo


Registrato: 21/02/13 08:49
Messaggi: 4286

MessaggioInviato: 20 Mar 2018 14:57    Oggetto: Messaggio di errore Rispondi citando

Ciao Amici
Mi sono arrivati alcuni aggiornamenti, ho digitato la password per abilitarli, però 2 li ha scaricati, del 3°...Non vuol sentirne parlare...
Ho copiato questo messaggio di errore relativo all'aggironamento mint-artwork-cinnamon: E: /var/cache/apt/archives/mint-artwork-common_1.8.7.2_all.deb: il sottoprocesso dpkg-deb --control ha restituito lo stato di errore 2

NON ho la più pallida idea di cosa diavolo voglia dire... Shocked Shocked Shocked
Qualcuno di voi mi può, cortesemente, aiutare? Help!
Grazie in anticipo
Un sorriso Very Happy
Top
Profilo Invia messaggio privato
Maary79
Moderatrice Sistemi Operativi e Software
Moderatrice Sistemi Operativi e Software


Registrato: 08/02/12 12:23
Messaggi: 7726

MessaggioInviato: 20 Mar 2018 15:44    Oggetto: Rispondi citando

Prima domanda:

Aggiorni regolarmente il sistema, tramite il gestore, e tutto ciò che propone?

Hai provato a riavviare e riprovare?

Nel caso tu lo abbia già fatto, apri il terminale, e prova ad aggiornare da lì:


Codice:
sudo apt-get update


Premi invio.

(Digita la password, anche se non la vedi e premi ancora invio).

L'output non deve riportare errori, se li riporta copiarlo qui:

Se non ci sono errori, prosegui con l'aggiornamento vero e proprio con:

Codice:
sudo apt-get upgrade


(Come sopra premi invio e digita psw)

Se rileva errori, copia qui, che vediamo.
Fai anche caso a messaggi tipo:

Ci sono pacchetti non più necessari da rimuovere, digitare sudo apt-get autoremove per rimuoverli.
(Nel caso ci siano, dai quel comando e rimuovili).
Top
Profilo Invia messaggio privato
Giunone
Dio maturo
Dio maturo


Registrato: 21/02/13 08:49
Messaggi: 4286

MessaggioInviato: 20 Mar 2018 19:05    Oggetto: Rispondi citando

Codice:
Trovato http://ppa.launchpad.net trusty InRelease
Ign http://archive.ubuntu.com trusty InRelease                                 
Ign http://archive.canonical.com trusty InRelease                             
Scaricamento di:1 http://archive.ubuntu.com trusty-updates InRelease [65,9 kB]
Trovato http://archive.canonical.com trusty Release.gpg                       
Trovato http://archive.canonical.com trusty Release                           
Scaricamento di:2 http://security.ubuntu.com trusty-security InRelease [65,9 kB]
Trovato http://archive.ubuntu.com trusty Release.gpg                           
Ign http://extra.linuxmint.com rafaela InRelease                               
Ign http://packages.linuxmint.com rafaela InRelease                           
Trovato http://archive.ubuntu.com trusty Release                               
Trovato http://ppa.launchpad.net trusty/main Sources                           
Scaricamento di:3 http://archive.ubuntu.com trusty-updates/main amd64 Packages [1.064 kB]
Trovato http://archive.canonical.com trusty/partner amd64 Packages             
Trovato http://archive.canonical.com trusty/partner i386 Packages             
Trovato http://extra.linuxmint.com rafaela Release.gpg                         
Trovato http://packages.linuxmint.com rafaela Release.gpg                     
Trovato http://ppa.launchpad.net trusty/main amd64 Packages                   
Trovato http://archive.canonical.com trusty/partner Translation-en             
Scaricamento di:4 http://archive.ubuntu.com trusty-updates/restricted amd64 Packages [17,2 kB]
Scaricamento di:5 http://security.ubuntu.com trusty-security/main amd64 Packages [722 kB]
Trovato http://ppa.launchpad.net trusty/main i386 Packages                     
Scaricamento di:6 http://archive.ubuntu.com trusty-updates/universe amd64 Packages [449 kB]
Trovato http://ppa.launchpad.net trusty/main Translation-en                   
Trovato http://packages.linuxmint.com rafaela Release                         
Scaricamento di:7 http://archive.ubuntu.com trusty-updates/multiverse amd64 Packages [14,6 kB]
Trovato http://extra.linuxmint.com rafaela Release                             
Scaricamento di:8 http://archive.ubuntu.com trusty-updates/main i386 Packages [1.005 kB]
Scaricamento di:9 http://archive.ubuntu.com trusty-updates/restricted i386 Packages [17,1 kB]
Scaricamento di:10 http://archive.ubuntu.com trusty-updates/universe i386 Packages [443 kB]
Trovato http://packages.linuxmint.com rafaela/main amd64 Packages             
Scaricamento di:11 http://archive.ubuntu.com trusty-updates/multiverse i386 Packages [15,0 kB]
Trovato http://extra.linuxmint.com rafaela/main amd64 Packages                 
Trovato http://archive.ubuntu.com trusty-updates/main Translation-en           
Trovato http://archive.ubuntu.com trusty-updates/multiverse Translation-en     
Scaricamento di:12 http://security.ubuntu.com trusty-security/restricted amd64 Packages [14,1 kB]
Trovato http://archive.ubuntu.com trusty-updates/restricted Translation-en     
Trovato http://archive.ubuntu.com trusty-updates/universe Translation-en       
Trovato http://archive.ubuntu.com trusty/main amd64 Packages                   
Scaricamento di:13 http://security.ubuntu.com trusty-security/universe amd64 Packages [213 kB]
Trovato http://archive.ubuntu.com trusty/restricted amd64 Packages             
Trovato http://packages.linuxmint.com rafaela/upstream amd64 Packages         
Trovato http://extra.linuxmint.com rafaela/main i386 Packages                 
Scaricamento di:14 http://security.ubuntu.com trusty-security/multiverse amd64 Packages [4.796 B]
Trovato http://archive.ubuntu.com trusty/universe amd64 Packages               
Trovato http://archive.ubuntu.com trusty/multiverse amd64 Packages             
Trovato http://archive.ubuntu.com trusty/main i386 Packages                   
Scaricamento di:15 http://security.ubuntu.com trusty-security/main i386 Packages [670 kB]
Trovato http://archive.ubuntu.com trusty/restricted i386 Packages             
Trovato http://packages.linuxmint.com rafaela/import amd64 Packages           
Trovato http://archive.ubuntu.com trusty/universe i386 Packages               
Trovato http://archive.ubuntu.com trusty/multiverse i386 Packages             
Scaricamento di:16 http://security.ubuntu.com trusty-security/restricted i386 Packages [13,9 kB]
Trovato http://archive.ubuntu.com trusty/main Translation-it                   
Trovato http://archive.ubuntu.com trusty/main Translation-en                   
Scaricamento di:17 http://security.ubuntu.com trusty-security/universe i386 Packages [206 kB]
Trovato http://archive.ubuntu.com trusty/multiverse Translation-it             
Trovato http://archive.ubuntu.com trusty/multiverse Translation-en             
Trovato http://packages.linuxmint.com rafaela/main i386 Packages               
Scaricamento di:18 http://security.ubuntu.com trusty-security/multiverse i386 Packages [4.951 B]
Trovato http://archive.ubuntu.com trusty/restricted Translation-it             
Trovato http://archive.ubuntu.com trusty/restricted Translation-en             
Trovato http://security.ubuntu.com trusty-security/main Translation-en         
Trovato http://archive.ubuntu.com trusty/universe Translation-it               
Trovato http://archive.ubuntu.com trusty/universe Translation-en               
Trovato http://security.ubuntu.com trusty-security/multiverse Translation-en   
Trovato http://packages.linuxmint.com rafaela/upstream i386 Packages           
Trovato http://security.ubuntu.com trusty-security/restricted Translation-en   
Trovato http://security.ubuntu.com trusty-security/universe Translation-en     
Trovato http://packages.linuxmint.com rafaela/import i386 Packages             
Ign http://archive.ubuntu.com trusty/main Translation-it_IT                   
Ign http://archive.ubuntu.com trusty/multiverse Translation-it_IT             
Ign http://archive.ubuntu.com trusty/restricted Translation-it_IT             
Ign http://archive.ubuntu.com trusty/universe Translation-it_IT               
Ign http://extra.linuxmint.com rafaela/main Translation-it_IT                 
Ign http://extra.linuxmint.com rafaela/main Translation-it                     
Ign http://extra.linuxmint.com rafaela/main Translation-en
Ign http://packages.linuxmint.com rafaela/import Translation-it_IT             
Ign http://packages.linuxmint.com rafaela/import Translation-it               
Ign http://packages.linuxmint.com rafaela/import Translation-en               
Ign http://packages.linuxmint.com rafaela/main Translation-it_IT               
Ign http://packages.linuxmint.com rafaela/main Translation-it                 
Ign http://packages.linuxmint.com rafaela/main Translation-en                 
Ign http://packages.linuxmint.com rafaela/upstream Translation-it_IT           
Ign http://packages.linuxmint.com rafaela/upstream Translation-it             
Ign http://packages.linuxmint.com rafaela/upstream Translation-en             
Recuperati 5.004 kB in 12s (412 kB/s)                                         
Lettura elenco dei pacchetti... Fatto


Questo è il 1° comando...lol, per me è arabo e ostrogoto insieme, ma siccome so che per te ha un senso compiuto spero, vista la mia ignoranza, che sia positivo, a naso NON vedo messaggi di errore, ma siccome il mio naso NON è abituato a questa pratica...Mi affido integralmente a te
Vedi quello che puoi fare, dopo continuo, visto che l'aggiornamento di mint-work common continua a NON dare segno di volersi installare correttamente.
Di solito aggiorno appena ricevo, e avendo spento il PC credevo di aver risolto, ma vedo che è una pia illusione... Sad Ho sperato male, sono stata troppo ottimista, inizio a pensare che sia un errore di chi ha fatto l'aggiornamento, tutto può essere, sono esseri umani
Grazie, ci sentiamo presto, mò vediamo come va questa schermata prima di proseguire
Very Happy

PS: Messaggio dei dettagli dell'aggiornamento: (synaptic:4631): GLib-CRITICAL **: g_child_watch_add_full: assertion 'pid > 0' failed
dpkg-deb: errore: l'archivio "/var/cache/apt/archives/mint-artwork-common_1.8.7.2_all.deb" contiene un elemento "control.tar.xz" prima di "control.tar.gz", operazione annullata
dpkg: errore nell'elaborare l'archivio /var/cache/apt/archives/mint-artwork-common_1.8.7.2_all.deb (--unpack):
il sottoprocesso dpkg-deb --control ha restituito lo stato di errore 2
Si sono verificati degli errori nell'elaborazione:
/var/cache/apt/archives/mint-artwork-common_1.8.7.2_all.deb
E: Sub-process /usr/bin/dpkg returned an error code (1)
Installazione di un pacchetto non riuscita. Tentativo di ripristino:

Shocked
Top
Profilo Invia messaggio privato
Maary79
Moderatrice Sistemi Operativi e Software
Moderatrice Sistemi Operativi e Software


Registrato: 08/02/12 12:23
Messaggi: 7726

MessaggioInviato: 20 Mar 2018 20:05    Oggetto: Rispondi citando

Il primo comando va bene, la lista pacchetti è aggiornata.
Non ci sono errori o stranezze. Li riconosci, le righe che iniziano con E (errore) o W (warning).

Per cui vai con il secondo.

Codice:
sudo apt-get upgrade


Ti darà una lista di pacchetti aggiornabili, per continuare dovrai digitare s e invio.

Potrebbe però segnalarti pacchetti danneggiati, dipendenze non soddisfatte, o pacchetti da rimuovere.
Il listato sarà lungo, ma in genere basta leggere, al max copia qui.
Top
Profilo Invia messaggio privato
Giunone
Dio maturo
Dio maturo


Registrato: 21/02/13 08:49
Messaggi: 4286

MessaggioInviato: 21 Mar 2018 09:01    Oggetto: Rispondi citando

Codice:
Commands:
autoclean   - Erase old downloaded archive files
autoremove   - Remove automatically all unused packages
build        - Build binary or source packages from sources
build-dep   - Configure build-dependencies for source packages
changelog   - View a package's changelog
check       - Verify that there are no broken dependencies
clean       - Erase downloaded archive files
contains     - List packages containing a file
content      - List files contained in a package
deb         - Install a .deb package
depends     - Show raw dependency information for a package
dist-upgrade   - Perform an upgrade, possibly installing and removing packages
download      - Download the .deb file for a package
dselect-upgrade   - Follow dselect selections
held      - List all held packages
help        - Show help for a command
hold      - Hold a package
install      - Install/upgrade packages
policy      - Show policy settings
purge       - Remove packages and their configuration files
recommends   - List missing recommended packages for a particular package
rdepends    - Show reverse dependency information for a package
reinstall   - Download and (possibly) reinstall a currently installed package
remove      - Remove packages
search      - Search for a package by name and/or expression
show        - Display detailed information about a package
source      - Download source archives
sources      - Edit /etc/apt/sources.list with nano
unhold      - Unhold a package
update      - Download lists of new/upgradable packages
upgrade     - Perform a safe upgrade
version     - Show the installed version of a package
         This apt has Super Cow Powers


NON ho idea di cosa diavolo significhi, ma di sicuro ha un senso...
A questo punto l'unico messaggio di errore è quello che ti ho copiato, ecco perchè ho il sospetto che sia un errore "Originario" di chi ha spedito l'aggiornamento, però è solo un sospetto di un'ignorante...Anzi, di una "GNURANTA"...lol

Very Happy
Top
Profilo Invia messaggio privato
Maary79
Moderatrice Sistemi Operativi e Software
Moderatrice Sistemi Operativi e Software


Registrato: 08/02/12 12:23
Messaggi: 7726

MessaggioInviato: 21 Mar 2018 09:31    Oggetto: Rispondi citando

Hai dato male il comando, fai sempre copia e incolla.
Glieli facciamo rifare tutti e 2, nel caso che ci siano nuovi pacchetti da aggiornare.

Per cui ridai:

Codice:
sudo apt-get update


e poi

Codice:
sudo apt-get upgrade


Il primo comando non lo incollare che va bene.

Il secondo deve essere tipo il mio, che ti spiego di seguito, all'interno del listato.

Codice:
mint@mint-S551LB ~ $ sudo apt-get upgrade
Lettura elenco dei pacchetti... Fatto
Generazione albero delle dipendenze       
Lettura informazioni sullo stato... Fatto
Calcolo dell'aggiornamento... Fatto
I seguenti pacchetti saranno aggiornati:
  adobe-flashplugin firefox firefox-locale-en firefox-locale-it libtiff5
  mint-artwork-common python-paramiko
7 aggiornati, 0 installati, 0 da rimuovere e 0 non aggiornati.

FINO A QUI TI INDICA COSA TROVA DA AGGIORNARE. VEDI CHE HA TROVATO ANCHE A ME QUEL mint-artwork-common O SE CI SONO PACCHETTI DA RIMUOVERE, DANNEGGIATI, O DIPENDENZE NON SODDISFATTE.

È necessario scaricare 57,7 MB di archivi.
Dopo quest'operazione, verranno occupati 324 kB di spazio su disco.
Continuare? [S/n] s

QUI TI DICE QUANTI MB DEVE SCARICARE E QUANTO SPAZIO SU DISCO OCCUPERANNO POI CHIEDE CONFERMA PER PROSEGUIRE, PER CUI PER CONTINUARE DEVI PREMERE S SULLA TASTIERA E DARE INVIO.

Scaricamento di:1 http://archive.ubuntu.com/ubuntu xenial-updates/main amd64 libtiff5 amd64 4.0.6-1ubuntu0.3 [148 kB]
Scaricamento di:2 http://archive.canonical.com/ubuntu xenial/partner amd64 adobe-flashplugin amd64 1:20180313.1-0ubuntu0.16.04.1 [9.748 kB]
Scaricamento di:3 http://packages.linuxmint.com sonya/upstream amd64 firefox amd64 59.0.1+linuxmint1+sylvia [44,6 MB]
Scaricamento di:4 http://archive.ubuntu.com/ubuntu xenial-updates/main amd64 python-paramiko all 1.16.0-1ubuntu0.1 [109 kB]
Scaricamento di:5 http://packages.linuxmint.com sonya/upstream amd64 firefox-locale-en amd64 59.0.1+linuxmint1+sylvia [813 kB]
Scaricamento di:6 http://packages.linuxmint.com sonya/upstream amd64 firefox-locale-it amd64 59.0.1+linuxmint1+sylvia [428 kB]
Scaricamento di:7 http://packages.linuxmint.com sonya/main amd64 mint-artwork-common all 2.1.6.1 [1.784 kB]
Recuperati 57,7 MB in 1min 36s (598 kB/s)   

FINO A QUI SCARICA I PACCHETTI.
DA QUI IN POI LI INSTALLA.
E' QUI CHE TI INDICA EVENTUALI ERRORI.
                                 
(Lettura del database... 485140 file e directory attualmente installati.)
Preparativi per estrarre .../libtiff5_4.0.6-1ubuntu0.3_amd64.deb...
Estrazione di libtiff5:amd64 (4.0.6-1ubuntu0.3) su (4.0.6-1ubuntu0.2)...
Elaborazione dei trigger per libc-bin (2.23-0ubuntu10)...
Configurazione di libtiff5:amd64 (4.0.6-1ubuntu0.3)...
Elaborazione dei trigger per libc-bin (2.23-0ubuntu10)...
(Lettura del database... 485140 file e directory attualmente installati.)
Preparativi per estrarre .../adobe-flashplugin_1%3a20180313.1-0ubuntu0.16.04.1_amd64.deb...
Estrazione di adobe-flashplugin (1:20180313.1-0ubuntu0.16.04.1) su (1:20180206.1-0ubuntu0.16.04.1)...
Preparativi per estrarre .../firefox_59.0.1+linuxmint1+sylvia_amd64.deb...
Estrazione di firefox (59.0.1+linuxmint1+sylvia) su (58.0.2+linuxmint1+sylvia)...
Preparativi per estrarre .../firefox-locale-en_59.0.1+linuxmint1+sylvia_amd64.deb...
Estrazione di firefox-locale-en (59.0.1+linuxmint1+sylvia) su (58.0.2+linuxmint1+sylvia)...
Preparativi per estrarre .../firefox-locale-it_59.0.1+linuxmint1+sylvia_amd64.deb...
Estrazione di firefox-locale-it (59.0.1+linuxmint1+sylvia) su (58.0.2+linuxmint1+sylvia)...
Preparativi per estrarre .../mint-artwork-common_2.1.6.1_all.deb...
Estrazione di mint-artwork-common (2.1.6.1) su (2.1.6)...
Preparativi per estrarre .../python-paramiko_1.16.0-1ubuntu0.1_all.deb...
Estrazione di python-paramiko (1.16.0-1ubuntu0.1) su (1.16.0-1)...
Elaborazione dei trigger per mintsystem (8.3.2)...
Elaborazione dei trigger per hicolor-icon-theme (0.15-0ubuntu1)...
Elaborazione dei trigger per gnome-menus (3.13.3-6ubuntu3.1)...
Elaborazione dei trigger per desktop-file-utils (0.22+linuxmint1)...
Elaborazione dei trigger per mime-support (3.59ubuntu1)...
Elaborazione dei trigger per man-db (2.7.5-1)...
Elaborazione dei trigger per libglib2.0-0:amd64 (2.48.2-0ubuntu1)...
Configurazione di adobe-flashplugin (1:20180313.1-0ubuntu0.16.04.1)...
update-alternatives: viene usato /usr/lib/adobe-flashplugin/libflashplayer.so per fornire /usr/lib/mozilla/plugins/flashplugin-alternative.so (mozilla-flashplugin) in modalità automatica
Configurazione di firefox (59.0.1+linuxmint1+sylvia)...
Please restart all running instances of firefox, or you will experience problems.
Configurazione di firefox-locale-en (59.0.1+linuxmint1+sylvia)...
Configurazione di firefox-locale-it (59.0.1+linuxmint1+sylvia)...
Configurazione di mint-artwork-common (2.1.6.1)...
update-initramfs: deferring update (trigger activated)
Configurazione di python-paramiko (1.16.0-1ubuntu0.1)...
Elaborazione dei trigger per initramfs-tools (0.122ubuntu8.10)...
update-initramfs: Generating /boot/initrd.img-4.13.0-37-generic
Warning: No support for locale: it_IT.utf8
mint@mint-S551LB ~ $


Come vedi io non ho errori, solo un Warning, per l'orario di sistema (locale), ma visto che non noto problemi, lo ignoro.
E l'output deve andare a caporiga, non chiudere il terminale, mentre sta lavorando.

EDIT: ho messo i listati fra i campi code (tasto in alto, vicino a quote), per una maggior comprensione usali.
Top
Profilo Invia messaggio privato
Giunone
Dio maturo
Dio maturo


Registrato: 21/02/13 08:49
Messaggi: 4286

MessaggioInviato: 21 Mar 2018 09:49    Oggetto: Rispondi citando

Scusa, sono un pò confusa: devo dare di seguito i 2 comandi?
La risposta del terminale però NON la capisco, come faccio a sapere COSA mi dice?
Purtroppo io e il terminale NON siamo in confidenza... ROTFL Ci diamo del Lei, non del Tu...lol
Ci provo ma non garantisco Question
Top
Profilo Invia messaggio privato
Maary79
Moderatrice Sistemi Operativi e Software
Moderatrice Sistemi Operativi e Software


Registrato: 08/02/12 12:23
Messaggi: 7726

MessaggioInviato: 21 Mar 2018 10:04    Oggetto: Rispondi citando

Prima uno, lo lasci finire, poi il secondo. Deve sempre andare a capo riga.
E' la prima volta, è normale non conoscere il funzionamento.
Sarà che io ho iniziato cn distro minimali, dove se volevi aggiornare il sistema o così, o niente... Laughing
Top
Profilo Invia messaggio privato
Giunone
Dio maturo
Dio maturo


Registrato: 21/02/13 08:49
Messaggi: 4286

MessaggioInviato: 21 Mar 2018 13:49    Oggetto: Rispondi citando

Nessuna risposta comprensibile Question
Non ho visto segnalazioni anomale, mi dice che ho lo stesso problema tuo con l'ora locale e mi chiede se voglio cambiare la confiugurazione predefinita, ma questo è un terreno minato, se faccio danni poi me la prendo in saccoccia...Di brutto!
Ho copiato una riga: File di configurazione "\etc\issue.net"
NON ho la più pallida idea di cosa voglia dire Shocked
Very Happy
Top
Profilo Invia messaggio privato
Maary79
Moderatrice Sistemi Operativi e Software
Moderatrice Sistemi Operativi e Software


Registrato: 08/02/12 12:23
Messaggi: 7726

MessaggioInviato: 21 Mar 2018 14:09    Oggetto: Rispondi

Prova a copiare tutto l'output. Da cima a fondo.
Eventualmente rifai il secondo comando.


L'ultima modifica di Maary79 il 21 Mar 2018 14:25, modificato 1 volta
Top
Profilo Invia messaggio privato
Mostra prima i messaggi di:   
Nuovo argomento   Quest'argomento è chiuso: Non puoi inserire, rispondere o modificare i messaggi.    Indice del forum -> Linux Tutti i fusi orari sono GMT + 1 ora
Vai a 1, 2  Successivo
Pagina 1 di 2

 
Vai a:  
Non puoi inserire nuovi argomenti
Non puoi rispondere a nessun argomento
Non puoi modificare i tuoi messaggi
Non puoi cancellare i tuoi messaggi
Non puoi votare nei sondaggi